package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 提交类型
 */
@AllArgsConstructor
@Getter
public enum ESubmitType {
    /**
     * 普通提交
     */
    NORMAL("1", 1, "普通提交"),
    /**
     * 免签提交
     */
    FREESIGN("2", 2, "免签提交"),

    /**
     * 免付提交
     */
    NOPAYSIGN("3", 3, "免付提交"),

    /**
     * 全免提交
     */
    FREE_ALL("4", 4, "全免提交");


    /**
     * 实际值
     */
    private final String value;
    /**
     * 实际值（数字型）
     */
    private final int intValue;
    /**
     * 显示标签
     */
    private final String label;

}
